Skip to content
Adjustment

Account Position Adjustment

This interface is used to perform a manual stock position adjustment for a specified securities account, currently supporting stock assets only. By providing the account number account_no, adjustment direction direction (credit or debit), market market, stock symbol symbol, quantity quantity, and business code biz_code, it completes the manual increase or decrease of positions and returns a business serial number serial_num. The interface supports idempotency control via request_id.

POSThttps://b-api.longbridge.xyz/v2/whaleapi/asset/adjust_stock

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Request body application/json

account_nostringrequired

Account NO Eg:L6VQEU00121996. Account NO Eg:L6VQEU00121996

directionnumberrequired

Adjust Direction. Adjust Direction

marketstringrequired

Market. Market

symbolstringrequired

Stock Information. Stock Information

quantitystringrequired

Adjust Quantity. Adjust Quantity

biz_codestringrequired

Business Code. Business Code

remarkstring

Adjust Remark. Adjust Remark

request_idstring

Idempotency ID ,keep Global Unique. Idempotency ID ,keep Global Unique

Responses

HTTP 200Fields are taken from the real responses definition for this operation in the published Whale OpenAPI spec (whale-openapi/Whale-openapi.json).
Standard response envelopecodemessagedata
dataobjectdata structure
msgstringrequired

Message. Message

serial_numstringrequired

Serial Number. Serial Number

error_codestringrequired

Error Code. Error Code

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs